linux: 2.6.35-30.61 -proposed tracker

Bug #871912 reported by Herton R. Krzesinski on 2011-10-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-30.61 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 10. October 2011 17:30 UTC
kernel-stable-Prepare-package-end:Wednesday, 12. October 2011 04:35 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 12. October 2011 04:35 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 12. October 2011 04:48 UTC
kernel-stable-Verification-testing-start:Wednesday, 12. October 2011 04:48 UTC
kernel-stable-Verification-testing-end:Wednesday, 19. October 2011 19:16 UTC
kernel-stable-Certification-testing-start:Wednesday, 19. October 2011 19:16 UTC
kernel-stable-Security-signoff-start:Wednesday, 19. October 2011 19:16 UTC
kernel-stable-Regression-testing-start:Wednesday, 19. October 2011 19:16 UTC
kernel-stable-Security-signoff-end:Wednesday, 19. October 2011 20:45 UTC
kernel-stable-Certification-testing-end:Thursday, 20. October 2011 08:30 UTC
kernel-stable-Regression-testing-end:Monday, 24. October 2011 22:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 25. October 2011 05:46 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 25. October 2011 05:46 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 872658
linux-mvl-dove - bug 872659

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-maverick (lucid) - bug 872660

description: updated
Martin Pitt (pitti) on 2011-10-12
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

bug 761809, the only one needed verification for this update, is now verified, releasing the update for testing (this is verification week, verification is done earlier than expected).

description: updated
Marc Deslauriers (mdeslaur) wrote :

Looks good, thanks!

description: updated

With the release of Oneiric the Certification team is not going to be testing Maverick anymore, just L, N & O. Please blacklist Maverick for our task in the bug bot.

description: updated
C de-Avillez (hggdh2) wrote :

Tests have completed; except for a similar output as bug 879516, no new issues were found. I am waiting on jj to give me the go ahead to approve this kernel.

C de-Avillez (hggdh2) wrote :

16:31:56 @jjohansen | hggdh: yes the maverick bug was introduced by my change to qrt, I'll have fix in tonight, /me needs to run to dinner

tagging qa-testing-passed. No regressions observed.

tags: added: qa-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.61

---------------
linux (2.6.35-30.61) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #871912

  [ Stefan Bader ]

  * [Config] Include all filesystem modules for virtual
    - LP: #761809

  [ Upstream Kernel Changes ]

  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
  * cifs: add fallback in is_path_accessible for old servers, CVE-2011-3363
    - LP: #866034
    - CVE-2011-3363
  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * inotify: fix double free/corruption of stuct user
    - LP: #869203
    - CVE-2011-1479
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 10 Oct 2011 14:37:08 -0300

Changed in linux (Ubuntu Maverick):
status: New → Fix Released
Martin Pitt (pitti) wrote :

released to -updates/-security

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers